Package com.google.javascript.jscomp

# Enum WarningsGuard.Priority

java.lang.Object
java.lang.Enum<WarningsGuard.Priority>
com.google.javascript.jscomp.WarningsGuard.Priority

All Implemented Interfaces:
  `Serializable`, `Comparable<WarningsGuard.Priority>`, `java.lang.constant.Constable`

Enclosing class:
  `WarningsGuard`

public static enum WarningsGuard.Priority extends Enum<WarningsGuard.Priority>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`FILTER_BY_PATH`
`MAX`
`MIN`
`STRICT`
`SUPPRESS_BY_WHITELIST`
`SUPPRESS_DOC`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static WarningsGuard.Priority`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WarningsGuard.Priority[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MAX

public static final WarningsGuard.Priority MAX

### MIN

public static final WarningsGuard.Priority MIN

### STRICT

public static final WarningsGuard.Priority STRICT

### DEFAULT

public static final WarningsGuard.Priority DEFAULT

### SUPPRESS_BY_WHITELIST

public static final WarningsGuard.Priority SUPPRESS_BY_WHITELIST

### SUPPRESS_DOC

public static final WarningsGuard.Priority SUPPRESS_DOC

### FILTER_BY_PATH

public static final WarningsGuard.Priority FILTER_BY_PATH

## Method Details

### values

public static WarningsGuard.Priority[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static WarningsGuard.Priority valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()